FROM node:8.16-alpine

RUN apk add --no-cache git

WORKDIR /srv
RUN git clone https://github.com/magne4000/quassel-webserver.git
WORKDIR /srv/quassel-webserver
RUN npm install --production && npm audit fix
RUN mkdir -p /etc/quasselweb/ && cp settings.js /etc/quasselweb/settings.js

ENV PORT 8080
ENV SETTINGS_FILE /etc/quasselweb/settings.js

EXPOSE 8080
VOLUME /etc/quasselweb

RUN adduser -D quassel
USER quassel
ENTRYPOINT ["sh", "-c", "node /srv/quassel-webserver/app.js -p $PORT -c $SETTINGS_FILE"]
